wxSQLite3Hook Class Reference

Interface for a user defined hook function. More...

`#include <wxsqlite3.h>`

## Public Types

enum | wxUpdateType { SQLITE_DELETE = 9 , SQLITE_INSERT = 18 , SQLITE_UPDATE = 23 }
| Codes identifying the command for which the hook is called. More...

## Public Member Functions

| wxSQLite3Hook ()
| Default constructor.
virtual | ~wxSQLite3Hook ()
| Virtual destructor.
virtual bool | CommitCallback ()
| Execute the commit hook callback function.
virtual void | RollbackCallback ()
| Execute the rollback hook callback function.
virtual void | UpdateCallback (wxUpdateType WXUNUSED(type), const wxString &WXUNUSED(database), const wxString &WXUNUSED(table), wxLongLong WXUNUSED(rowid))
| Execute the hook callback function.
virtual int | WriteAheadLogCallback (const wxString &WXUNUSED(database), int WXUNUSED(numPages))
| Execute the write-ahead log hook callback function.
void | SetDatabase (wxSQLite3Database *db)
| Set the associated database.
wxSQLite3Database * | GetDatabase () const
| Get the associated database.

## Detailed Description

Interface for a user defined hook function.

## Member Enumeration Documentation

## wxUpdateType

enum wxSQLite3Hook::wxUpdateType

Codes identifying the command for which the hook is called.

Enumerator
SQLITE_DELETE |
SQLITE_INSERT |
SQLITE_UPDATE |

## Constructor & Destructor Documentation

## wxSQLite3Hook()

wxSQLite3Hook::wxSQLite3Hook | ( |  | ) |

inline

Default constructor.

## ~wxSQLite3Hook()

virtual wxSQLite3Hook::~wxSQLite3Hook | ( |  | ) |

inline virtual

Virtual destructor.

## Member Function Documentation

## CommitCallback()

virtual bool wxSQLite3Hook::CommitCallback | ( |  | ) |

inline virtual

Execute the commit hook callback function.

Please refer to the SQLite documentation for further information.

Returns
  true to request rollback of the transaction, false to continue with commit

## GetDatabase()

wxSQLite3Database * wxSQLite3Hook::GetDatabase | ( |  | ) | const

inline

Get the associated database.

For the write-ahead log hook the associated database can be accessed.

Returns
  pointer to the associated database instance

Note
  Access to the associated database is only provided for write-ahead log hooks.

## RollbackCallback()

virtual void wxSQLite3Hook::RollbackCallback | ( |  | ) |

inline virtual

Execute the rollback hook callback function.

Please refer to the SQLite documentation for further information.

## SetDatabase()

void wxSQLite3Hook::SetDatabase | ( | wxSQLite3Database * | db | ) |

inline

Set the associated database.

For the write-ahead log hook the associated database is set internally.

Parameters

  db | pointer to the associated database instance

## UpdateCallback()

virtual void wxSQLite3Hook::UpdateCallback | ( | wxUpdateType | WXUNUSEDtype,
|  | const wxString & | WXUNUSEDdatabase,
|  | const wxString & | WXUNUSEDtable,
|  | wxLongLong | WXUNUSEDrowid
| ) |  |

inline virtual

Execute the hook callback function.

Please refer to the SQLite documentation for further information about the meaning of the parameters.

Parameters

  type | wxHookType. The value signifies what kind of operation is to be authorized.
  database | Name of the database
  table | Name of the table
  rowid | The rowid of the affected row

## WriteAheadLogCallback()

virtual int wxSQLite3Hook::WriteAheadLogCallback | ( | const wxString & | WXUNUSEDdatabase,
|  | int | WXUNUSEDnumPages
| ) |  |

inline virtual

Execute the write-ahead log hook callback function.

Please refer to the SQLite documentation for further information about the meaning of the parameters.

Parameters

  database | Name of the database
  numPages | the number of pages

The documentation for this class was generated from the following file:

- wxsqlite3.h